class

  ScrollerNative

brief

  Browser Native の Scroller クラス

### Hierarchy

- ScrollerNative

### Implements

- IScroller

## Index

### Constructors

- constructor

### Properties

- _$body
- _$scrollMap
- _$target
- _listviewOptions

### Accessors

- TYPE

### Methods

- destroy
- getPos
- getPosMax
- getType
- off
- on
- scrollTo
- update
- getFactory

## Constructors

### constructor

- new ScrollerNative(options: ListViewOptions): ScrollerNative

- - Defined in CDP/UI/listview/ScrollerNative.ts:15

  #### Parameters

  - ##### options: ListViewOptions

  #### Returns ScrollerNative

## Properties

### Private _$body

_$body: JQuery = null

- Defined in CDP/UI/listview/ScrollerNative.ts:12

### Private _$scrollMap

_$scrollMap: JQuery = null

- Defined in CDP/UI/listview/ScrollerNative.ts:14

### Private _$target

_$target: JQuery = null

- Defined in CDP/UI/listview/ScrollerNative.ts:13

### Private _listviewOptions

_listviewOptions: ListViewOptions = null

- Defined in CDP/UI/listview/ScrollerNative.ts:15

## Accessors

### Static TYPE

- get TYPE(): string

- - Defined in CDP/UI/listview/ScrollerNative.ts:95

  #### Returns string

## Methods

### destroy

- destroy(): void

- Implementation of IScroller.destroy

  - Defined in CDP/UI/listview/ScrollerNative.ts:89

  #### Returns void

### getPos

- getPos(): number

- Implementation of IScroller.getPos

  - Defined in CDP/UI/listview/ScrollerNative.ts:30

  #### Returns number

### getPosMax

- getPosMax(): number

- Implementation of IScroller.getPosMax

  - Defined in CDP/UI/listview/ScrollerNative.ts:35

  #### Returns number

### getType

- getType(): string

- Implementation of IScroller.getType

  - Defined in CDP/UI/listview/ScrollerNative.ts:25

  #### Returns string

### off

- off(type: string, func: function): void

- - Defined in CDP/UI/listview/ScrollerNative.ts:55

  #### Parameters

  - ##### type: string

  - ##### func: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

### on

- on(type: string, func: function): void

- - Defined in CDP/UI/listview/ScrollerNative.ts:40

  #### Parameters

  - ##### type: string

  - ##### func: function

    - - (event: Event): void

      - #### Parameters

        - ##### event: Event

        #### Returns void

### scrollTo

- scrollTo(pos: number, animate?: boolean, time?: number): void

- Implementation of IScroller.scrollTo

  - Defined in CDP/UI/listview/ScrollerNative.ts:70

  #### Parameters

  - ##### pos: number

  - ##### Optional animate: boolean

  - ##### Optional time: number

  #### Returns void

### update

- update(): void

- Implementation of IScroller.update

  - Defined in CDP/UI/listview/ScrollerNative.ts:84

  #### Returns void

### Static getFactory

- getFactory(): function

- - Defined in CDP/UI/listview/ScrollerNative.ts:100

  #### Returns function

  - - (element: any, options: ListViewOptions): IScroller

    - #### Parameters

      - ##### element: any

      - ##### options: ListViewOptions

      #### Returns IScroller

Generated using TypeDoc